=== modified file 'bzrlib/tests/test_versionedfile.py'
--- bzrlib/tests/test_versionedfile.py	2008-07-03 18:23:24 +0000
+++ bzrlib/tests/test_versionedfile.py	2008-07-17 09:13:16 +0000
@@ -2193,8 +2193,8 @@
         self.assertRaises(NotImplementedError, self.texts.insert_record_stream,
                           [])
 
-    def test_get_sha1s_nonexistant(self):
-        self.assertEquals({}, self.texts.get_sha1s([("NONEXISTANT",)]))
+    def test_get_sha1s_nonexistent(self):
+        self.assertEquals({}, self.texts.get_sha1s([("NONEXISTENT",)]))
 
     def test_get_sha1s(self):
         self._lines["key"] = ["dataline1", "dataline2"]

=== modified file 'bzrlib/versionedfile.py'
--- bzrlib/versionedfile.py	2008-07-03 18:23:24 +0000
+++ bzrlib/versionedfile.py	2008-07-17 09:13:16 +0000
@@ -1355,7 +1355,8 @@
 
     def get_parent_map(self, keys):
         """See VersionedFiles.get_parent_map."""
-        return dict([((k,), tuple([(p,) for p in v])) for k,v in self._get_parent_map([k for (k,) in keys]).iteritems()])
+        return dict([((k,), tuple([(p,) for p in v]))
+            for k,v in self._get_parent_map([k for (k,) in keys]).iteritems()])
 
     def get_sha1s(self, keys):
         """See VersionedFiles.get_sha1s."""
@@ -1363,7 +1364,8 @@
         for (k,) in keys:
             lines = self._get_lines(k)
             if lines is not None:
-                assert isinstance(lines, list)
+                if not isinstance(lines, list):
+                    raise AssertionError
                 ret[(k,)] = osutils.sha_strings(lines)
         return ret
 
@@ -1372,7 +1374,8 @@
         for (k,) in list(keys):
             lines = self._get_lines(k)
             if lines is not None:
-                assert isinstance(lines, list)
+                if not isinstance(lines, list):
+                    raise AssertionError
                 yield FulltextContentFactory((k,), None, 
                         sha1=osutils.sha_strings(lines),
                         text=''.join(lines))

